<div fxLayout="column" style="max-height: 80vh; overflow-y: auto;  padding-bottom:0px" id="scroll">
  <div fxLayout="column" *ngIf="orders.length > 0; else showLoading">
    <ng-container *ngFor="let order of orders; let i = index">
      <div (click)="expandOrder(order, i)" fxLayout="row" fxFlex
        style="cursor:pointer; padding: 15px 10px 15px 10px; border: 1px solid rgba(0,0,0,0.2)"
        fxLayoutAlign="space-between center ">
        <div fxLayout="row" fxLayoutAlign="space-between center " fxLayoutGap="10px">
          <img src="assets/icons/c.svg" width="15px" height="15px" [ngClass]="{'rotate': selectedIndex === i }" />
          <svg style=" width: 20px; height: 21px;" [ngStyle]="{'fill': order.status === 'completed'?'#24d06d':'red' }">
            <use xlink:href="assets/icons/d.svg#icon-1" *ngIf=" order.status === 'completed'"></use>
            <use xlink:href="assets/icons/m.svg#icon-reject" *ngIf="  order.status !== 'completed' "></use>
          </svg>
          <span>{{order.order_number}}</span>
        </div>
        <span> {{order.created.date | date :'MM/dd/yy hh:mm'}}</span>
        <span><b>{{order.price || '-' }} DA</b></span>
      </div>
      <div fxLayout="column" *ngIf="i === selectedIndex" style="padding: 15px">
        <div fxLayout="column" fxLayoutAlign="space-between">
          <div *ngFor="let item of order.items" fxLayout="column" fxLayoutGap="5px" style="padding-bottom: 5px;">
            <div fxLayout="row" fxLayoutAlign="space-between">
              <b>{{item.quantity}} {{item.title}}</b>
              <div>
                <b> {{item.price}} DA</b>
              </div>
            </div>
            <div style="padding-left: 20px" fxLayout="row" fxLayoutAlign="space-between"
              *ngFor="let opt of  item.data?.options | mapToIterable">
              <span>{{opt.val.name}}</span>
              <span>{{opt.val.price}} DA</span>
            </div>
          </div>
        </div>

      </div>
    </ng-container>

    <nav aria-label="Page navigation example">
      <ul class="pagination justify-content-center" style="margin: 10px">
        <li class="page-item " [ngClass]="{'disabled': activePage === 1 }">
          <a class="page-link" tabindex="-1" (click)="nextPage(activePage-1)">{{ 'PREVIOUS' | translate }}</a>
        </li>

        <li class="pageItem" *ngFor="let page of pages" [ngClass]="{'active':page === activePage }">
          <a class="page-link" (click)="nextPage(page)">{{page}}</a>
        </li>

        <li class="page-item ">
          <a class="page-link" (click)="nextPage(activePage+1)">{{ 'NEXT' | translate }}</a>
        </li>
      </ul>
    </nav>

  </div>
  <ng-template #showLoading>
    <app-loading-spinner></app-loading-spinner>
  </ng-template>

</div>